使用表格存储SDK出现OTSUnsupportOperation异常-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

使用表格存储SDK出现OTSUnsupportOperation异常

少强 2016-12-02 17:23:30 1864

调用syncClient.createTable(request)时出现如下错误,
Caused by: [ErrorCode]:OTSUnsupportOperation, [Message]:Unsupported operation: 'CreateTable'.

存储 开发工具
分享到
取消 提交回答
全部回答(1)
  • 少强
    2019-07-17 20:30:58

    出现这个错误的原因是:使用了4.0.0之后版本的SDK访问了旧版本的表。
    可以使用2..版本的SDK:

    <dependency>
        <groupId>com.aliyun.openservices</groupId>
        <artifactId>ots-public</artifactId>
        <version>2.2.5</version>
    </dependency>

    目前,使用阿里云官方售卖的表格存储服务的话,是不会再遇到此错误了,只有在个别专有云中会存在。

    1 0
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

推荐文章
相似问题